package com.chinaitop.depot.intelligent.grainsituation.model;

public class TGasConfig {
    private String id;

    private String orgId;

    private String storeCode;

    private String rangeIp;

    private String rangePort;

    private Integer controlType;

    private Integer isMultichannel;

    private Integer startChannel;

    private Integer endChannel;

    private String upOrDown;

    /**
     * 气体检测主键
     * @return id 气体检测主键
     */
    public String getId() {
        return id;
    }

    /**
     * 气体检测主键
     * @param id 气体检测主键
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 组织机构编码
     * @return org_id 组织机构编码
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织机构编码
     * @param orgId 组织机构编码
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 仓房编码
     * @return store_code 仓房编码
     */
    public String getStoreCode() {
        return storeCode;
    }

    /**
     * 仓房编码
     * @param storeCode 仓房编码
     */
    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode == null ? null : storeCode.trim();
    }

    /**
     * 远程ip
     * @return range_ip 远程ip
     */
    public String getRangeIp() {
        return rangeIp;
    }

    /**
     * 远程ip
     * @param rangeIp 远程ip
     */
    public void setRangeIp(String rangeIp) {
        this.rangeIp = rangeIp == null ? null : rangeIp.trim();
    }

    /**
     * 远程端口
     * @return range_port 远程端口
     */
    public String getRangePort() {
        return rangePort;
    }

    /**
     * 远程端口
     * @param rangePort 远程端口
     */
    public void setRangePort(String rangePort) {
        this.rangePort = rangePort == null ? null : rangePort.trim();
    }

    /**
     * 控制类型(暂时:0:通风口,1:测气,0:自然窗,0:轴流窗,0:轴流风机)
     * @return control_type 控制类型(暂时:0:通风口,1:测气,0:自然窗,0:轴流窗,0:轴流风机)
     */
    public Integer getControlType() {
        return controlType;
    }

    /**
     * 控制类型(暂时:0:通风口,1:测气,0:自然窗,0:轴流窗,0:轴流风机)
     * @param controlType 控制类型(暂时:0:通风口,1:测气,0:自然窗,0:轴流窗,0:轴流风机)
     */
    public void setControlType(Integer controlType) {
        this.controlType = controlType;
    }

    /**
     * 是否多通道(0:否,1是)
     * @return is_multichannel 是否多通道(0:否,1是)
     */
    public Integer getIsMultichannel() {
        return isMultichannel;
    }

    /**
     * 是否多通道(0:否,1是)
     * @param isMultichannel 是否多通道(0:否,1是)
     */
    public void setIsMultichannel(Integer isMultichannel) {
        this.isMultichannel = isMultichannel;
    }

    /**
     * 开始通道号
     * @return start_channel 开始通道号
     */
    public Integer getStartChannel() {
        return startChannel;
    }

    /**
     * 开始通道号
     * @param startChannel 开始通道号
     */
    public void setStartChannel(Integer startChannel) {
        this.startChannel = startChannel;
    }

    /**
     * 结束通道号
     * @return end_channel 结束通道号
     */
    public Integer getEndChannel() {
        return endChannel;
    }

    /**
     * 结束通道号
     * @param endChannel 结束通道号
     */
    public void setEndChannel(Integer endChannel) {
        this.endChannel = endChannel;
    }

    /**
     * 仓上控制柜(0),仓下控制柜(1)
     * @return up_or_down 仓上控制柜(0),仓下控制柜(1)
     */
    public String getUpOrDown() {
        return upOrDown;
    }

    /**
     * 仓上控制柜(0),仓下控制柜(1)
     * @param upOrDown 仓上控制柜(0),仓下控制柜(1)
     */
    public void setUpOrDown(String upOrDown) {
        this.upOrDown = upOrDown;
    }
}